Contents

# WeekdayName Function [VBA]

The WeekdayName function returns the weekday name of a specified day of the week.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

            WeekdayName(Weekday as Integer [,Abbreviate as Boolean [,FirstDayofWeek as Integer]])

### Return type:

String

### Parameters:

Weekday: Value from 1 to 7, Monday to Sunday, whose Week Day Name need to be calculated.

Abbreviate: Optional. A Boolean value that indicates if the weekday name is to be abbreviated.

FirstDayofWeek: Optional. Specifies the first day of the week.

### First day of Week:

Named constant | Value | Description
--- | --- | ---
vbUseSystemDayOfWeek | 0 | Use National Language Support (NLS) API setting
vbSunday | 1 | Sunday (default)
vbMonday | 2 | Monday
vbTuesday | 3 | Tuesday
vbWednesday | 4 | Wednesday
vbThursday | 5 | Thursday
vbFriday | 6 | Friday
vbSaturday | 7 | Saturday

### Error codes:

None

### Example:

            REM  *****  BASIC  *****
            Option VBASupport 1
            Sub Example_WeekdayName
             Dim tgf as Integer
             tgf = 6
             print tgf &" "& WeekdayName(tgf,False,vbSunday)
            End Sub

Related Topics

VBA Time and Date functions